clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::ASTSelectionRequirement Class Reference

An AST selection requirement is satisfied when any portion of the AST overlaps with the selection range. More...

`#include "clang/Tooling/Refactoring/RefactoringActionRuleRequirements.h"`

Inheritance diagram for clang::tooling::ASTSelectionRequirement:
[legend]
Collaboration diagram for clang::tooling::ASTSelectionRequirement:
[legend]

## Public Member Functions
Expected< SelectedASTNode > | evaluate (RefactoringRuleContext &Context) const
Public Member Functions inherited from clang::tooling::SourceRangeSelectionRequirement
Expected< SourceRange > | evaluate (RefactoringRuleContext &Context) const

## Detailed Description

An AST selection requirement is satisfied when any portion of the AST overlaps with the selection range.

The requirement will be evaluated only once during the initiation and search of matching refactoring action rules.

Definition at line 60 of file RefactoringActionRuleRequirements.h.

## Member Function Documentation

## ◆ evaluate()

Expected< SelectedASTNode > ASTSelectionRequirement::evaluate | ( | RefactoringRuleContext & | Context | ) | const

Definition at line 16 of file ASTSelectionRequirements.cpp.

The documentation for this class was generated from the following files:

- include/clang/Tooling/Refactoring/RefactoringActionRuleRequirements.h
- lib/Tooling/Refactoring/ASTSelectionRequirements.cpp